version: 1
directus: 11.5.1
vendor: sqlite
collections:
  - collection: events
    meta:
      accountability: all
      archive_app_filter: true
      archive_field: status
      archive_value: archived
      collapse: open
      collection: events
      color: null
      display_template: null
      group: null
      hidden: false
      icon: null
      item_duplication_fields: null
      note: null
      preview_url: null
      singleton: false
      sort: null
      sort_field: null
      translations: null
      unarchive_value: draft
      versioning: false
    schema:
      name: events
fields:
  - collection: events
    field: id
    type: uuid
    meta:
      collection: events
      conditions: null
      display: null
      display_options: null
      field: id
      group: null
      hidden: true
      interface: input
      note: null
      options: null
      readonly: true
      required: false
      sort: 1
      special:
        - uuid
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: id
      table: events
      data_type: char
      default_value: null
      max_length: 36
      numeric_precision: null
      numeric_scale: null
      is_nullable: false
      is_unique: true
      is_indexed: false
      is_primary_key: true
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: status
    type: string
    meta:
      collection: events
      conditions: null
      display: labels
      display_options:
        choices:
          - background: var(--theme--primary-background)
            color: var(--theme--primary)
            foreground: var(--theme--primary)
            text: $t:published
            value: published
          - background: var(--theme--background-normal)
            color: var(--theme--foreground)
            foreground: var(--theme--foreground)
            text: $t:draft
            value: draft
          - background: var(--theme--warning-background)
            color: var(--theme--warning)
            foreground: var(--theme--warning)
            text: $t:archived
            value: archived
        showAsDot: true
      field: status
      group: null
      hidden: false
      interface: select-dropdown
      note: null
      options:
        choices:
          - color: var(--theme--primary)
            text: $t:published
            value: published
          - color: var(--theme--foreground)
            text: $t:draft
            value: draft
          - color: var(--theme--warning)
            text: $t:archived
            value: archived
      readonly: false
      required: false
      sort: 2
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: status
      table: events
      data_type: varchar
      default_value: draft
      max_length: 255
      numeric_precision: null
      numeric_scale: null
      is_nullable: false
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: start_date
    type: dateTime
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            format: long
            includeSeconds: false
            relative: false
            use24: true
          rule:
            _and:
              - type:
                  _eq: recurrent
      display: null
      display_options: null
      field: start_date
      group: null
      hidden: false
      interface: datetime
      note: null
      options:
        use24: false
      readonly: false
      required: false
      sort: 17
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: start_date
      table: events
      data_type: datetime
      default_value: null
      max_length: null
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: type
    type: string
    meta:
      collection: events
      conditions: null
      display: null
      display_options: null
      field: type
      group: null
      hidden: false
      interface: select-radio
      note: null
      options:
        choices:
          - text: Single
            value: one-off
          - text: Recurrent
            value: recurrent
      readonly: false
      required: true
      sort: 4
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: type
      table: events
      data_type: varchar
      default_value: one-off
      max_length: 255
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: end_date
    type: dateTime
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            format: long
            includeSeconds: false
            relative: false
            use24: true
          rule:
            _and:
              - _or:
                  - type:
                      _eq: recurrent
                  - time_type:
                      _eq: one-day
      display: null
      display_options: null
      field: end_date
      group: null
      hidden: false
      interface: datetime
      note: null
      options:
        use24: false
      readonly: false
      required: false
      sort: 18
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: end_date
      table: events
      data_type: datetime
      default_value: null
      max_length: null
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: title
    type: string
    meta:
      collection: events
      conditions: null
      display: null
      display_options: null
      field: title
      group: null
      hidden: false
      interface: input
      note: null
      options:
        placeholder: Event title
      readonly: false
      required: true
      sort: 27
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: title
      table: events
      data_type: varchar
      default_value: null
      max_length: 255
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: description
    type: json
    meta:
      collection: events
      conditions: null
      display: null
      display_options: null
      field: description
      group: null
      hidden: false
      interface: input-block-editor
      note: null
      options:
        placeholder: Event description
        tools:
          - nestedlist
          - paragraph
      readonly: false
      required: false
      sort: 28
      special:
        - cast-json
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: description
      table: events
      data_type: json
      default_value: null
      max_length: null
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: category
    type: string
    meta:
      collection: events
      conditions: null
      display: null
      display_options: null
      field: category
      group: null
      hidden: false
      interface: input
      note: null
      options:
        choices:
          - text: Event
            value: event
          - text: Party
            value: party
          - text: Session
            value: session
          - text: Music
            value: music
      readonly: false
      required: true
      sort: 29
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: category
      table: events
      data_type: varchar
      default_value: event
      max_length: 255
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: featured
    type: boolean
    meta:
      collection: events
      conditions: null
      display: null
      display_options: null
      field: featured
      group: null
      hidden: false
      interface: boolean
      note: null
      options: null
      readonly: false
      required: false
      sort: 3
      special:
        - cast-boolean
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: featured
      table: events
      data_type: boolean
      default_value: null
      max_length: null
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: first_media_type
    type: string
    meta:
      collection: events
      conditions: null
      display: null
      display_options: null
      field: first_media_type
      group: null
      hidden: false
      interface: select-radio
      note: null
      options:
        choices:
          - text: Picture
            value: picture
          - text: Video
            value: video
      readonly: false
      required: true
      sort: 21
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: first_media_type
      table: events
      data_type: varchar
      default_value: picture
      max_length: 255
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: second_media_type
    type: string
    meta:
      collection: events
      conditions: null
      display: null
      display_options: null
      field: second_media_type
      group: null
      hidden: false
      interface: select-radio
      note: null
      options:
        choices:
          - text: Picture
            value: picture
          - text: Video
            value: video
      readonly: false
      required: true
      sort: 24
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: second_media_type
      table: events
      data_type: varchar
      default_value: picture
      max_length: 255
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: first_picture
    type: uuid
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            crop: true
            letterbox: false
          rule:
            _and:
              - first_media_type:
                  _eq: video
        - name: Require if
          options:
            crop: true
            letterbox: false
          required: true
          rule:
            _and:
              - first_media_type:
                  _eq: picture
      display: null
      display_options: null
      field: first_picture
      group: null
      hidden: false
      interface: file-image
      note: null
      options: null
      readonly: false
      required: false
      sort: 22
      special:
        - file
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: first_picture
      table: events
      data_type: char
      default_value: null
      max_length: 36
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: directus_files
      foreign_key_column: id
  - collection: events
    field: first_video
    type: uuid
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options: {}
          rule:
            _and:
              - first_media_type:
                  _eq: picture
        - name: Require if
          options: {}
          required: true
          rule:
            _and:
              - first_media_type:
                  _eq: video
      display: null
      display_options: null
      field: first_video
      group: null
      hidden: false
      interface: file
      note: null
      options: null
      readonly: false
      required: false
      sort: 23
      special:
        - file
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: first_video
      table: events
      data_type: char
      default_value: null
      max_length: 36
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: directus_files
      foreign_key_column: id
  - collection: events
    field: second_picture
    type: uuid
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            crop: true
            letterbox: false
          rule:
            _and:
              - second_media_type:
                  _eq: video
        - name: Require if
          options:
            crop: true
            letterbox: false
          required: true
          rule:
            _and:
              - second_media_type:
                  _eq: picture
      display: null
      display_options: null
      field: second_picture
      group: null
      hidden: false
      interface: file-image
      note: null
      options: null
      readonly: false
      required: false
      sort: 25
      special:
        - file
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: second_picture
      table: events
      data_type: char
      default_value: null
      max_length: 36
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: directus_files
      foreign_key_column: id
  - collection: events
    field: second_video
    type: uuid
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options: {}
          rule:
            _and:
              - second_media_type:
                  _eq: picture
        - name: Require if
          options: {}
          required: true
          rule:
            _and:
              - second_media_type:
                  _eq: video
      display: null
      display_options: null
      field: second_video
      group: null
      hidden: false
      interface: file
      note: null
      options: null
      readonly: false
      required: false
      sort: 26
      special:
        - file
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: second_video
      table: events
      data_type: char
      default_value: null
      max_length: 36
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: directus_files
      foreign_key_column: id
  - collection: events
    field: time_type
    type: string
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            allowOther: false
            iconOff: radio_button_unchecked
            iconOn: radio_button_checked
          rule:
            _and:
              - type:
                  _eq: recurrent
        - name: Require if
          options:
            allowOther: false
            iconOff: radio_button_unchecked
            iconOn: radio_button_checked
          required: true
          rule:
            _and:
              - type:
                  _eq: one-off
      display: null
      display_options: null
      field: time_type
      group: null
      hidden: false
      interface: select-radio
      note: null
      options:
        choices:
          - text: One Day
            value: one-day
          - text: Range
            value: range
      readonly: false
      required: false
      sort: 16
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: time_type
      table: events
      data_type: varchar
      default_value: one-day
      max_length: 255
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: repeat_freq
    type: string
    meta:
      collection: events
      conditions:
        - hidden: false
          name: Type Revurrent
          options:
            allowOther: false
            iconOff: radio_button_unchecked
            iconOn: radio_button_checked
          readonly: false
          required: true
          rule:
            _and:
              - type:
                  _eq: recurrent
        - hidden: true
          name: Type One off
          options:
            allowOther: false
            iconOff: radio_button_unchecked
            iconOn: radio_button_checked
          readonly: true
          rule:
            _and:
              - type:
                  _eq: one-off
      display: null
      display_options: null
      field: repeat_freq
      group: null
      hidden: false
      interface: select-radio
      note: null
      options:
        choices:
          - text: Day
            value: daily
          - text: Week
            value: weekly
          - text: Month
            value: monthly
          - text: Year
            value: yearly
      readonly: false
      required: false
      sort: 5
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: repeat_freq
      table: events
      data_type: varchar
      default_value: weekly
      max_length: 255
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: repeat_interval
    type: integer
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            clear: false
            font: sans-serif
            masked: false
            slug: false
            trim: false
          readonly: true
          rule:
            _and:
              - _and:
                  - type:
                      _eq: one-off
                  - type:
                      _neq: recurrent
        - name: Require if
          options:
            clear: false
            font: sans-serif
            masked: false
            slug: false
            trim: false
          required: true
          rule:
            _and:
              - _and:
                  - type:
                      _neq: one-off
                  - type:
                      _eq: recurrent
        - name: Max value Weekly
          options:
            clear: false
            font: sans-serif
            masked: false
            max: 52
            slug: false
            trim: false
          rule:
            _and:
              - _and:
                  - repeat_freq:
                      _eq: weekly
                  - type:
                      _eq: recurrent
        - name: Max value Dayly
          options:
            clear: false
            font: sans-serif
            masked: false
            max: 365
            slug: false
            trim: false
          rule:
            _and:
              - _and:
                  - type:
                      _eq: recurrent
                  - repeat_freq:
                      _eq: daily
        - name: Max value monthly
          options:
            clear: false
            font: sans-serif
            masked: false
            max: 120
            slug: false
            trim: false
          rule:
            _and:
              - _and:
                  - type:
                      _eq: recurrent
                  - repeat_freq:
                      _eq: monthly
        - name: Max value yearly
          options:
            clear: false
            font: sans-serif
            masked: false
            max: 100
            slug: false
            trim: false
          required: false
          rule:
            _and:
              - _and:
                  - type:
                      _eq: recurrent
                  - repeat_freq:
                      _eq: yearly
      display: null
      display_options: null
      field: repeat_interval
      group: null
      hidden: true
      interface: input
      note: >-
        Repeat every N days/weeks/months/years (depending on what you selected
        in the previous item)
      options:
        min: 1
      readonly: false
      required: true
      sort: 6
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: repeat_interval
      table: events
      data_type: integer
      default_value: 1
      max_length: null
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: repeat_weekdays
    type: json
    meta:
      collection: events
      conditions:
        - name: Required if
          options:
            valueCombining: all
          required: true
          rule:
            _and:
              - repeat_freq:
                  _eq: weekly
        - hidden: true
          name: Hide if
          options:
            valueCombining: all
          rule:
            _and:
              - _or:
                  - type:
                      _eq: one-off
                  - repeat_freq:
                      _neq: weekly
      display: null
      display_options: null
      field: repeat_weekdays
      group: null
      hidden: false
      interface: select-multiple-checkbox-tree
      note: null
      options:
        choices:
          - children: null
            text: Sunday
            value: SU
          - text: Monday
            value: MO
          - text: Tuesday
            value: TU
          - text: Wednesday
            value: WE
          - text: Thursday
            value: TH
          - text: Friday
            value: FR
          - text: Saturday
            value: SA
      readonly: false
      required: false
      sort: 7
      special:
        - cast-json
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: repeat_weekdays
      table: events
      data_type: json
      default_value: null
      max_length: null
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: repeat_month_mode
    type: string
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            allowOther: false
            iconOff: radio_button_unchecked
            iconOn: radio_button_checked
          rule:
            _and:
              - _or:
                  - type:
                      _eq: one-off
                  - repeat_freq:
                      _neq: monthly
                  - repeat_freq:
                      _neq: yearly
        - name: Required if
          options:
            allowOther: false
            iconOff: radio_button_unchecked
            iconOn: radio_button_checked
          required: true
          rule:
            _and:
              - type:
                  _eq: recurrent
              - _or:
                  - repeat_freq:
                      _eq: monthly
                  - repeat_freq:
                      _eq: yearly
      display: null
      display_options: null
      field: repeat_month_mode
      group: null
      hidden: false
      interface: select-radio
      note: null
      options:
        choices:
          - text: Specific day of the month
            value: by_monthday
          - text: On 1/2/3/4/last <day of the week>
            value: by_weekday_in_month
      readonly: false
      required: false
      sort: 9
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: repeat_month_mode
      table: events
      data_type: varchar
      default_value: by_monthday
      max_length: 255
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: repeat_monthday
    type: integer
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            clear: false
            font: sans-serif
            masked: false
            slug: false
            trim: false
          rule:
            _and:
              - _or:
                  - type:
                      _eq: one-off
                  - repeat_freq:
                      _neq: monthly
                  - repeat_freq:
                      _neq: yearly
                  - repeat_month_mode:
                      _neq: by_monthday
        - name: Required if
          options:
            clear: false
            font: sans-serif
            masked: false
            slug: false
            trim: false
          required: true
          rule:
            _and:
              - _and:
                  - type:
                      _eq: recurrent
                  - repeat_month_mode:
                      _eq: by_monthday
                  - _or:
                      - repeat_freq:
                          _eq: monthly
                      - repeat_freq:
                          _eq: yearly
      display: null
      display_options: null
      field: repeat_monthday
      group: null
      hidden: false
      interface: input
      note: If there is no such day in the month, the repetition is skipped.
      options:
        max: 31
        min: 1
      readonly: false
      required: false
      sort: 10
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: repeat_monthday
      table: events
      data_type: integer
      default_value: null
      max_length: null
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: repeat_week_ordinal
    type: string
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            allowOther: false
            iconOff: radio_button_unchecked
            iconOn: radio_button_checked
          rule:
            _and:
              - _or:
                  - type:
                      _eq: one-off
                  - repeat_month_mode:
                      _neq: by_weekday_in_month
                  - _and:
                      - repeat_freq:
                          _neq: yearly
                      - repeat_freq:
                          _neq: monthly
        - name: Required if
          options:
            allowOther: false
            iconOff: radio_button_unchecked
            iconOn: radio_button_checked
          required: true
          rule:
            _and:
              - _and:
                  - type:
                      _eq: recurrent
                  - repeat_month_mode:
                      _eq: by_weekday_in_month
                  - _or:
                      - repeat_freq:
                          _eq: monthly
                      - repeat_freq:
                          _eq: yearly
      display: null
      display_options: null
      field: repeat_week_ordinal
      group: null
      hidden: false
      interface: select-radio
      note: >-
        The event will be repeated every (1, 2, 3, 4 or last) day of week of the
        selected month.
      options:
        choices:
          - text: '1'
            value: '1'
          - text: '2'
            value: '2'
          - text: '3'
            value: '3'
          - text: '4'
            value: '4'
          - text: Last
            value: last
      readonly: false
      required: false
      sort: 11
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: repeat_week_ordinal
      table: events
      data_type: varchar
      default_value: '1'
      max_length: 255
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: repeat_weekday
    type: string
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            allowOther: false
            iconOff: radio_button_unchecked
            iconOn: radio_button_checked
          rule:
            _and:
              - _or:
                  - type:
                      _neq: recurrent
                  - repeat_month_mode:
                      _neq: by_weekday_in_month
                  - _and:
                      - repeat_freq:
                          _neq: monthly
                      - repeat_freq:
                          _neq: yearly
        - name: Required if
          options:
            allowOther: false
            iconOff: radio_button_unchecked
            iconOn: radio_button_checked
          required: true
          rule:
            _and:
              - _and:
                  - type:
                      _eq: recurrent
                  - repeat_month_mode:
                      _eq: by_weekday_in_month
                  - _or:
                      - repeat_freq:
                          _eq: monthly
                      - repeat_freq:
                          _eq: yearly
      display: null
      display_options: null
      field: repeat_weekday
      group: null
      hidden: false
      interface: select-radio
      note: On which day of the week each month should the event be repeated?
      options:
        choices:
          - text: Monday
            value: ML
          - text: Tuesday
            value: TU
          - text: Wednesday
            value: WE
          - text: Thursday
            value: TH
          - text: Friday
            value: FR
          - text: Saturday
            value: SA
          - text: Sunday
            value: SU
      readonly: false
      required: false
      sort: 12
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: repeat_weekday
      table: events
      data_type: varchar
      default_value: null
      max_length: 255
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: repeat_end_type
    type: string
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            allowOther: false
            iconOff: radio_button_unchecked
            iconOn: radio_button_checked
          rule:
            _and:
              - type:
                  _neq: recurrent
        - name: Required if
          options:
            allowOther: false
            iconOff: radio_button_unchecked
            iconOn: radio_button_checked
          required: true
          rule:
            _and:
              - type:
                  _eq: recurrent
      display: null
      display_options: null
      field: repeat_end_type
      group: null
      hidden: false
      interface: select-radio
      note: When should the event repetition be completed?
      options:
        choices:
          - text: Never
            value: never
          - text: Until
            value: until
          - text: Count
            value: count
      readonly: false
      required: false
      sort: 13
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: repeat_end_type
      table: events
      data_type: varchar
      default_value: never
      max_length: 255
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: repeat_until
    type: date
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            format: long
            includeSeconds: false
            relative: false
            use24: true
          rule:
            _and:
              - _or:
                  - type:
                      _neq: recurrent
                  - repeat_end_type:
                      _neq: until
        - name: Required if
          options:
            format: long
            includeSeconds: false
            relative: false
            use24: true
          required: true
          rule:
            _and:
              - _and:
                  - type:
                      _eq: recurrent
                  - repeat_end_type:
                      _eq: until
      display: null
      display_options: null
      field: repeat_until
      group: null
      hidden: false
      interface: datetime
      note: Until what date (inclusive) will the event be repeated?
      options: null
      readonly: false
      required: false
      sort: 14
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: repeat_until
      table: events
      data_type: date
      default_value: null
      max_length: null
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: repeat_count
    type: integer
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            clear: false
            font: sans-serif
            masked: false
            slug: false
            trim: false
          rule:
            _and:
              - _or:
                  - type:
                      _neq: recurrent
                  - repeat_end_type:
                      _neq: count
        - name: Require if
          options:
            clear: false
            font: sans-serif
            masked: false
            slug: false
            trim: false
          required: true
          rule:
            _and:
              - _and:
                  - type:
                      _eq: recurrent
                  - repeat_end_type:
                      _eq: count
      display: null
      display_options: null
      field: repeat_count
      group: null
      hidden: false
      interface: input
      note: How many times should the event repeat itself?
      options:
        min: 1
      readonly: false
      required: false
      sort: 15
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: repeat_count
      table: events
      data_type: integer
      default_value: null
      max_length: null
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: repeat_month
    type: string
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            allowOther: false
            iconOff: radio_button_unchecked
            iconOn: radio_button_checked
          rule:
            _and:
              - _or:
                  - type:
                      _neq: recurrent
                  - repeat_freq:
                      _neq: yearly
        - name: Required if
          options:
            allowOther: false
            iconOff: radio_button_unchecked
            iconOn: radio_button_checked
          required: true
          rule:
            _and:
              - _and:
                  - type:
                      _eq: recurrent
                  - repeat_freq:
                      _eq: yearly
      display: null
      display_options: null
      field: repeat_month
      group: null
      hidden: false
      interface: select-radio
      note: null
      options:
        choices:
          - text: January (Jan)
            value: '1'
          - text: February (Feb)
            value: '2'
          - text: March (Mar)
            value: '3'
          - text: April (Apr)
            value: '4'
          - text: May
            value: '5'
          - text: June
            value: '6'
          - text: July
            value: '7'
          - text: August
            value: '8'
          - text: September (Sep)
            value: '9'
          - text: October (Oct)
            value: '10'
          - text: November (Nov)
            value: '11'
          - text: 'December (Dec) '
            value: '12'
      readonly: false
      required: false
      sort: 8
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: repeat_month
      table: events
      data_type: varchar
      default_value: null
      max_length: 255
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: cta_text
    type: string
    meta:
      collection: events
      conditions: null
      display: null
      display_options: null
      field: cta_text
      group: null
      hidden: false
      interface: input
      note: null
      options:
        placeholder: Enter CTA button text
      readonly: false
      required: false
      sort: 30
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: cta_text
      table: events
      data_type: varchar
      default_value: null
      max_length: 255
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: cta_link
    type: string
    meta:
      collection: events
      conditions:
        - name: Required if
          options:
            clear: false
            font: sans-serif
            masked: false
            slug: false
            trim: false
          required: true
          rule:
            _and:
              - cta_text:
                  _nnull: true
      display: null
      display_options: null
      field: cta_link
      group: null
      hidden: false
      interface: input
      note: null
      options:
        placeholder: Enter CTA button url
      readonly: false
      required: false
      sort: 31
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: cta_link
      table: events
      data_type: varchar
      default_value: null
      max_length: 255
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: start_time
    type: time
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            format: long
            includeSeconds: false
            relative: false
            use24: true
          rule:
            _and:
              - type:
                  _eq: one-off
      display: null
      display_options: null
      field: start_time
      group: null
      hidden: false
      interface: datetime
      note: null
      options:
        use24: false
      readonly: false
      required: false
      sort: 19
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: start_time
      table: events
      data_type: time
      default_value: null
      max_length: null
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
  - collection: events
    field: end_time
    type: time
    meta:
      collection: events
      conditions:
        - hidden: true
          name: Hide if
          options:
            format: long
            includeSeconds: false
            relative: false
            use24: true
          rule:
            _and:
              - type:
                  _eq: one-off
      display: null
      display_options: null
      field: end_time
      group: null
      hidden: false
      interface: datetime
      note: null
      options:
        use24: false
      readonly: false
      required: false
      sort: 20
      special: null
      translations: null
      validation: null
      validation_message: null
      width: full
    schema:
      name: end_time
      table: events
      data_type: time
      default_value: null
      max_length: null
      numeric_precision: null
      numeric_scale: null
      is_nullable: true
      is_unique: false
      is_indexed: false
      is_primary_key: false
      is_generated: false
      generation_expression: null
      has_auto_increment: false
      foreign_key_table: null
      foreign_key_column: null
relations:
  - collection: events
    field: first_picture
    related_collection: directus_files
    meta:
      junction_field: null
      many_collection: events
      many_field: first_picture
      one_allowed_collections: null
      one_collection: directus_files
      one_collection_field: null
      one_deselect_action: nullify
      one_field: null
      sort_field: null
    schema:
      table: events
      column: first_picture
      foreign_key_table: directus_files
      foreign_key_column: id
      constraint_name: null
      on_update: NO ACTION
      on_delete: SET NULL
  - collection: events
    field: first_video
    related_collection: directus_files
    meta:
      junction_field: null
      many_collection: events
      many_field: first_video
      one_allowed_collections: null
      one_collection: directus_files
      one_collection_field: null
      one_deselect_action: nullify
      one_field: null
      sort_field: null
    schema:
      table: events
      column: first_video
      foreign_key_table: directus_files
      foreign_key_column: id
      constraint_name: null
      on_update: NO ACTION
      on_delete: SET NULL
  - collection: events
    field: second_picture
    related_collection: directus_files
    meta:
      junction_field: null
      many_collection: events
      many_field: second_picture
      one_allowed_collections: null
      one_collection: directus_files
      one_collection_field: null
      one_deselect_action: nullify
      one_field: null
      sort_field: null
    schema:
      table: events
      column: second_picture
      foreign_key_table: directus_files
      foreign_key_column: id
      constraint_name: null
      on_update: NO ACTION
      on_delete: SET NULL
  - collection: events
    field: second_video
    related_collection: directus_files
    meta:
      junction_field: null
      many_collection: events
      many_field: second_video
      one_allowed_collections: null
      one_collection: directus_files
      one_collection_field: null
      one_deselect_action: nullify
      one_field: null
      sort_field: null
    schema:
      table: events
      column: second_video
      foreign_key_table: directus_files
      foreign_key_column: id
      constraint_name: null
      on_update: NO ACTION
      on_delete: SET NULL
